Bug 124496 - [NEW PORT] games/tetzle: Jigsaw puzzle with tetrominoes
Summary: [NEW PORT] games/tetzle: Jigsaw puzzle with tetrominoes
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Martin Wilke
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2008-06-12 00:50 UTC by Dmitry Marakasov
Modified: 2008-06-19 00:30 UTC (History)
0 users

See Also:


Attachments
tetzle-1.0.shar (2.25 KB, text/plain)
2008-06-12 00:50 UTC, Dmitry Marakasov
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Dmitry Marakasov 2008-06-12 00:50:01 UTC
A jigsaw puzzle game that uses tetrominoes for the pieces. Any image
can be imported and used to create puzzles with a wide range of
sizes. Games are saved automatically, and you can select between
currently in progress games.

WWW: http://gottcode.org/tetzle/
Comment 1 Edwin Groothuis freebsd_committer 2008-06-12 00:50:11 UTC
Responsible Changed
From-To: freebsd-ports-bugs->miwi

miwi@ wants his PRs (via the GNATS Auto Assign Tool)
Comment 2 Dmitry Marakasov 2008-06-14 00:16:04 UTC
* FreeBSD-gnats-submit@FreeBSD.org (FreeBSD-gnats-submit@FreeBSD.org) wrote:

> >Synopsis:       [NEW PORT] games/tetzle: Jigsaw puzzle with tetrominoes
Here's an additional patch:

--- tetzle.patch begins here ---
diff -ruN tetzle.old/Makefile tetzle/Makefile
--- tetzle.old/Makefile	2008-06-14 03:04:43.000000000 +0400
+++ tetzle/Makefile	2008-06-14 03:04:13.000000000 +0400
@@ -18,6 +18,8 @@
 USE_BZIP2=	yes
 USE_QT_VER=	4
 QT_COMPONENTS=	corelib gui moc opengl qmake rcc xml
+WANT_GNOME=	yes
+INSTALLS_ICONS=	yes
 
 WRKSRC=		${WRKDIR}/${PORTNAME}-${PORTVERSION}
 
--- tetzle.patch ends here ---

-- 
Dmitry A. Marakasov    | jabber: amdmi3@jabber.ru
amdmi3@amdmi3.ru       | http://www.amdmi3.ru
Comment 3 Martin Wilke freebsd_committer 2008-06-19 00:26:39 UTC
State Changed
From-To: open->closed

New port added. Thanks!
Comment 4 dfilter service freebsd_committer 2008-06-19 00:26:57 UTC
miwi        2008-06-18 23:26:50 UTC

  FreeBSD ports repository

  Modified files:
    games                Makefile 
  Added files:
    games/tetzle         Makefile distinfo pkg-descr pkg-plist 
  Log:
  A jigsaw puzzle game that uses tetrominoes for the pieces. Any image
  can be imported and used to create puzzles with a wide range of
  sizes. Games are saved automatically, and you can select between
  currently in progress games.
  
  WWW: http://gottcode.org/tetzle/
  
  PR:             ports/124496
  Submitted by:   Dmitry Marakasov <amdmi3 at amdmi3.ru>
  
  Revision  Changes    Path
  1.1214    +1 -0      ports/games/Makefile
  1.1       +32 -0     ports/games/tetzle/Makefile (new)
  1.1       +3 -0      ports/games/tetzle/distinfo (new)
  1.1       +6 -0      ports/games/tetzle/pkg-descr (new)
  1.1       +8 -0      ports/games/tetzle/pkg-plist (new)
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"